| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros | Typedefs | Enumerations
OgreOverlayElement.h File Reference
`#include "OgreOverlayPrerequisites.h"`
`#include "OgreRenderable.h"`
`#include "OgreUTFString.h"`
`#include "OgreStringInterface.h"`
`#include "OgreOverlayElementCommands.h"`
`#include "OgreColourValue.h"`

## Classes
class | Ogre::OverlayElement
| Abstract definition of a 2D element to be displayed in an Overlay. More...

## Namespaces
| Ogre

## Macros
#define | OGRE_DEREF_DISPLAYSTRING_ITERATOR(it) *it

## Typedefs
typedef String | Ogre::DisplayString

## Enumerations
enum | Ogre::GuiHorizontalAlignment { Ogre::GHA_LEFT, Ogre::GHA_CENTER, Ogre::GHA_RIGHT }
| Enum describing where '0' is in relation to the parent in the horizontal dimension. More...
enum | Ogre::GuiMetricsMode { Ogre::GMM_RELATIVE, Ogre::GMM_PIXELS, Ogre::GMM_RELATIVE_ASPECT_ADJUSTED }
| Enum describing how the position / size of an element is to be recorded. More...
enum | Ogre::GuiVerticalAlignment { Ogre::GVA_TOP, Ogre::GVA_CENTER, Ogre::GVA_BOTTOM }
| Enum describing where '0' is in relation to the parent in the vertical dimension. More...